/*******************************************************************************
*
* File Name : atp_gsm_gsm_api.c
*
* This file contains dummy definition of all functions called by the ATP-GSM plug-in.
* These functions must be provided by CONDAT with their PS
*
*
* Version number	: 0.1      Date : 19-Dec-2001
*
* History			: 0.1  - Created 
*
* Author			: 
*
*   (C) Copyright 2001 by Texas Instruments Incorporated 
*****************************************************************************/

#ifdef _WINDOWS
// In this case, no GSM PS
// So need to define these dummy functions

#include "rv/rv_general.h"
#include "atp/atp_gsm_bt_api.h"
#include "atp/bti_at.h"

#if ( ((ATP_REGR != SW_COMPILED) && (ATP_MISC != SW_COMPILED))  )

/* functions define in GSM side and called by BT side */
void bti_at_init_cnf(T_BTI_ACK ack)
{

}

void bti_at_deinit_ind(void)
{
}
 
void bti_at_open_port_ind(T_BTI_PORT_NB gsm_port_nb,T_BTI_BT_PORT_INFO bt_custom_info)
{

}

void bti_at_close_port_ind(T_BTI_PORT_NB gsm_port_nb)
{
}
void bti_at_cmd_ind(T_BTI_PORT_NB gsm_port_nb,char * cmd)
{
}
void bti_at_cmd_cnf(T_BTI_PORT_NB gsm_port_nb)
{
}
void bti_at_abort_ind(T_BTI_PORT_NB gsm_port_nb)
{
}
void bti_data_ready_ind(T_BTI_PORT_NB port_nb,unsigned long nb_of_data)
{
}
void bti_get_gsm_data(T_BTI_PORT_NB port_nb,char * buffer, unsigned long nb_of_data)
{
}
void bti_data_ready_cnf(T_BTI_PORT_NB port_nb)
{
}

#endif

#endif
